Subject: [PATCH v3] ARM: KVM: Unmap IPA on memslot delete/move

From: [email-masked] (Christoffer Dall)
Date: Fri, 6 Jun 2014 11:16:03 +0200

On Fri, Jun 06, 2014 at 11:10:23AM +0200, Eric Auger wrote:
> Currently when a KVM region is deleted or moved after
> KVM_SET_USER_MEMORY_REGION ioctl, the corresponding
> intermediate physical memory is not unmapped.
> 
> This patch corrects this and unmaps the region's IPA range
> in kvm_arch_commit_memory_region using unmap_stage2_range.
> 
> Signed-off-by: Eric Auger <[email-masked]>

I think I already acked it in the last version, if Marc is ok with it, I
can queue it for next.

-Christoffer